declare const configuration: {
    rules: {
        'api-method-should-specify-api-response': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"shouldSpecifyApiResponse", never[], {
            MethodDefinition(node: import("@typescript-eslint/types/dist/generated/ast-spec").MethodDefinition): void;
        }>;
        'class-named-service-should-have-injectable-decorator': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"classNamedServiceShouldHaveInjectableDecorator", never[], {
            ClassDeclaration(node: import("@typescript-eslint/types/dist/generated/ast-spec").ClassDeclaration): void;
        }>;
        'class-named-guard-should-have-injectable-decorator': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"classNamedGuardShouldHaveInjectableDecorator", never[], {
            ClassDeclaration(node: import("@typescript-eslint/types/dist/generated/ast-spec").ClassDeclaration): void;
        }>;
        'sequelize-transactions-must-be-committed': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"sequelizeTransactionsMustBeCommitted", never[], {
            MethodDefinition(node: import("@typescript-eslint/types/dist/generated/ast-spec").MethodDefinition): void;
        }>;
        'branded-properties-should-have-api-property-decorator-with-type': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"brandedPropertyShouldHaveApiPropertyDecoratorWithType", [{
            fileEndings: string[];
        }], {
            PropertyDefinition(node: import("@typescript-eslint/types/dist/generated/ast-spec").PropertyDefinition): void;
        }>;
    };
    configs: {
        recommended: {
            parser: string;
            parserOptions: {
                sourceType: string;
            };
            rules: {
                'nestjs-apex/api-method-should-specify-api-response': string;
                'nestjs-apex/class-named-service-should-have-injectable-decorator': string;
                'nestjs-apex/class-named-guard-should-have-injectable-decorator': string;
                'nestjs-apex/sequelize-transactions-must-be-committed': string;
                'nestjs-apex/branded-properties-should-have-api-property-decorator-with-type': (string | {
                    fileEndings: string[];
                })[];
            };
        };
        'no-swagger': {
            parser: string;
            parserOptions: {
                sourceType: string;
            };
            rules: {
                'nestjs-typed/api-method-should-specify-api-response': string;
                'nestjs-apex/branded-properties-should-have-api-property-decorator-with-type': string;
            };
        };
    };
};
export = configuration;
